0 Replies Latest reply on May 12, 2008 7:20 AM by venu mandanapu

    Problem with Upgrading from jboss-4.0.2 to jboss-4.2.2.GA

    venu mandanapu Newbie

      We are Upgrading our application from jboss-4.0.2 to jboss-4.2.2.GA

      Environment we are using is:

      OS: Windows 2000 pro sp4
      Server : jboss-4.2.2.GA

      JDK:
      java version "1.4.2_03"
      Java(TM) 2 Runtime Environment, Standard Edition (build 1.4.2_03-b02)
      Java HotSpot(TM) Client VM (build 1.4.2_03-b02, mixed mode)

      I build the application using Eclipse3.1 and MyEclipse 3.9

      EJB project was deployed successfully.....
      (Its giving one warning like
      <wsdl-port> element in webservices.xml not namespace qualified )

      But I am facing problems when I am deploying the web project….
      The error message which server is showing ..

      16:44:48,984 ERROR [STDERR] java.lang.ClassCastException: org.jboss.invocation.unified.interfaces.UnifiedInvokerPro
      cannot be cast to org.jboss.invocation.Invoker
      16:44:49,171 ERROR [STDERR] at org.jboss.invocation.InvocationContext.getInvoker(InvocationContext.java:103)
      16:44:49,171 ERROR [STDERR] at org.jboss.invocation.InvokerInterceptor.invokeInvoker(InvokerInterceptor.java:22

      16:44:49,187 ERROR [STDERR] at org.jboss.invocation.InvokerInterceptor.invoke(InvokerInterceptor.java:167)
      16:44:49,187 ERROR [STDERR] at org.jboss.proxy.TransactionInterceptor.invoke(TransactionInterceptor.java:46)
      16:44:49,187 ERROR [STDERR] at org.jboss.proxy.SecurityInterceptor.invoke(SecurityInterceptor.java:55)
      16:44:49,187 ERROR [STDERR] at org.jboss.proxy.ejb.HomeInterceptor.invoke(HomeInterceptor.java:169)
      16:44:49,187 ERROR [STDERR] at org.jboss.proxy.ClientContainer.invoke(ClientContainer.java:86)
      16:44:49,187 ERROR [STDERR] at $Proxy1345.create(Unknown Source)

      Plz , can anybody..help me